--
-- Отключение внешних ключей
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

SET NAMES 'utf8';

SET sql_mode='';

INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_on', 0);
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_debug_on', 0);

INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_network', '0.0.0.0/0');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_key', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_secret', '');

INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_account', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_currency', 'KZT');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_site', 'example.com');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_order_desc', '');

INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_url_success', 'https://stat.ispnet.demo');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_url_fail', 'https://stat.ispnet.demo');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_url_callback', 'https://admin.ispnet.demo/json/index/primepay');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_url_status', 'https://admin.ispnet.demo/json/index/primepay');

INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_default_zipcode', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_default_email', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_default_phone', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_default_city', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('primepay_default_country', '');

CREATE TABLE `addons_primepay` (
   `txn_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
   `uid` INT(11) UNSIGNED NULL DEFAULT NULL,
   `amount` DOUBLE(20,6) NULL DEFAULT '0.000000',
   `server_date` DATETIME NULL DEFAULT NULL,
   `txn_date` DATETIME NULL DEFAULT NULL,
   `status` TINYINT(4) NULL DEFAULT '0',
   PRIMARY KEY (`txn_id`) USING BTREE,
   INDEX `uid` (`uid`) USING BTREE,
   INDEX `txn_date` (`txn_date`) USING BTREE,
   INDEX `status` (`status`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci';

INSERT INTO `bugh_plategi_type` (`bughtypeid`, `typename`, `sign`, `deposit_action`, `deposit_action_by_user`) VALUES (163, 'Пополнение Primepay', '+', '+', '+');

/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;