--
-- Отключение внешних ключей
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

SET NAMES 'utf8';

SET sql_mode='';

INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_on', '0');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_debug_on', '0');

INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_network', '141.95.34.156/32');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_key', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_slug', '');

INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_currency', 'UAH');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_crypto', '2');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_successful_link', '');
INSERT INTO `system_options` (`key`, `value`) VALUES ('whitepay_failure_link', '');

CREATE TABLE `addons_whitepay` (
   `txn_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
   `uid` INT(11) UNSIGNED NULL DEFAULT NULL,
   `amount` DOUBLE(20,6) NULL DEFAULT '0.000000',
   `server_date` DATETIME NULL DEFAULT NULL,
   `txn_date` DATETIME NULL DEFAULT NULL,
   `status` TINYINT(4) NULL DEFAULT '0',
   PRIMARY KEY (`txn_id`) USING BTREE,
   INDEX `txn_date` (`txn_date`) USING BTREE,
   INDEX `status` (`status`) USING BTREE,
   INDEX `useruid` (`uid`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci';

INSERT INTO `bugh_plategi_type` (`bughtypeid`, `typename`, `sign`, `deposit_action`, `deposit_action_by_user`) VALUES (164, 'Пополнение Whitepay', '+', '+', '+');

/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;